function out = ga_vg_prof (cfg,par)

%--------------------------------
% Import model

vpmin = cfg.pvel(1);
vpmax = cfg.pvel(2);

vsmin = cfg.svel(1);
vsmax = cfg.svel(2);

paval = cfg.ppar(1);
pbval = cfg.ppar(2);

saval = cfg.spar(1);
sbval = cfg.spar(2);

ztop = cfg.ztop;
zdep = par.zdep;

%--------------------------------
% Setting output

out.hl = par.thck;
out.zz = par.zdep;
out.vp = (vpmax-vpmin)*(1-paval.^((ztop-zdep)/pbval))+vpmin;
out.vs = (vsmax-vsmin)*(1-saval.^((ztop-zdep)/sbval))+vsmin;
out.dn = par.dn;

return;
