function ga_save_out(ns,cfg,dat,mod)

%-----------------------------------
% Save output

sta_ext = sprintf('.FILE_%.4d',ns);
fid = fopen([cfg.outf sta_ext],'w');

fprintf(fid,'#---------------------------\n');
fprintf(fid,'# STATION ID: %.0d\n',dat.id(ns));
fprintf(fid,'#---------------------------\n');

fprintf(fid,'# BEDROCK PARAMETERS\n');
fprintf(fid,'#---------------------------\n');
fprintf(fid,'PRTYPE UNIFORM\n');
fprintf(fid,'VSBOTT %f\n',mod(2));
fprintf(fid,'POISSN %f\n',mod(3));
fprintf(fid,'#---------------------------\n');

fprintf(fid,'# SEDIMENTS PARAMETERS\n');
fprintf(fid,'#---------------------------\n');
fprintf(fid,'ZDEPTH %f\n',mod(1));
fprintf(fid,'VSTOPP %f\n',cfg.svel(1));
fprintf(fid,'VSBOTT %f\n',cfg.svel(2));
fprintf(fid,'VSAVAL %f\n',cfg.spar(1));
fprintf(fid,'VSBVAL %f\n',cfg.spar(2));
fprintf(fid,'VPTOPP %f\n',cfg.pvel(1));
fprintf(fid,'VPBOTT %f\n',cfg.pvel(2));
fprintf(fid,'VPAVAL %f\n',cfg.ppar(1));
fprintf(fid,'VPBVAL %f\n',cfg.ppar(2));
fprintf(fid,'#---------------------------\n');

fclose(fid);

return;
