function h = errorbar_logy(x,y,y_sd)

for nx = 1:length(x)

  plot([x(nx) x(nx)],[y(nx)/y_sd(nx) y(nx)*y_sd(nx)],...
       'k','LineWidth',1);
  plot(x(nx),y(nx)*y_sd(nx),...
       'k+','LineWidth',1,...
       'MarkerSize',10);
  plot(x(nx),y(nx)/y_sd(nx),...
       'k+','LineWidth',1,...
       'MarkerSize',10);
end

h = plot(x,y,'o',...
     'LineWidth',1,...
     'MarkerEdgeColor','k',...
     'MarkerFaceColor','w',...
     'MarkerSize',6);

set(gca,'YScale','Log');

return;
