function freq = gen_freq ()

%---------------------------------------
% Settings
fmin = 0.5;
fmax = 15;
fnum = 200;
ftyp = 'log';

%---------------------------------------

switch ftyp
case 'lin'
  freq = linspace(fmin,fmax,fnum);
case 'log'
  freq = logspace(log10(fmin),log10(fmax),fnum);
end

return;
